Bug 1433374 (CVE-2017-5643) - CVE-2017-5643 camel-core: Validation component vulnerable to SSRF via remote DTDs and XXE
Summary: CVE-2017-5643 camel-core: Validation component vulnerable to SSRF via remote ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5643
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1434481
Blocks: 1385169 1433376
TreeView+ depends on / blocked
 
Reported: 2017-03-17 13:36 UTC by Adam Mariš
Modified: 2019-09-29 14:08 UTC (History)
20 users (show)

Fixed In Version: camel-core 2.17.6, camel-core 2.18.3
Doc Type: If docs needed, set a value
Doc Text:
It was found that Apache Camel's validation component evaluates DTD headers of XML stream sources, although a validation against XML schemas (XSD) is executed. Remote attackers can use this feature to make Server-Side Request Forgery (SSRF) attacks by sending XML documents with remote DTDs URLs or XML External Entities (XXE). The vulnerability is not given for SAX or StAX sources.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:09:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1832 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse/A-MQ 6.3 R4 security and bug fix update 2017-08-15 05:47:49 UTC

Description Adam Mariš 2017-03-17 13:36:38 UTC
The Validation Component of Apache Camel evaluates DTD headers of XML stream sources, although a validation against XML schemas (XSD) is executed. Remote attackers can use this feature to make Server-Side Request Forgery (SSRF) attacks by sending XML documents with remote DTDs URLs or XML External Entities (XXE). The vulnerability is not given for SAX or StAX sources.

Versions Affected: Camel 2.17.0 to 2.17.5, Camel 2.18.0 to 2.18.2
The unsupported Camel 2.x (2.16 and earlier) versions may be also affected.


External Reference:

https://camel.apache.org/security-advisories.data/CVE-2017-5643.txt

Comment 3 errata-xmlrpc 2017-08-10 23:04:20 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse

Via RHSA-2017:1832 https://access.redhat.com/errata/RHSA-2017:1832

Comment 4 Joshua Padman 2019-05-15 22:45:45 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat JBoss Data Grid 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.


Note You need to log in before you can comment on or make changes to this bug.